--- check_asterisk.orig.pl	2009-06-25 16:58:44.000000000 -0500
+++ check_asterisk.pl	2009-06-25 16:55:44.000000000 -0500
@@ -16,6 +16,7 @@
 	$runmode,
 	$key,
 	$s,
+	$p,
 );
 my $stop = 0;
 my $mgr_port = 5038;
@@ -178,6 +179,23 @@
 	undef($s);
 	foreach $key (keys %channels) {
 		$s .= " " . $key . " (" . $channels{$key} . ")";
+
+		# Performance
+		if (defined($p)) {
+			$p .= " ";
+		}
+		$p .= $key . "=" . $channels{$key};
+		if (defined($warnval{$key})) {
+			$p .= ";" . $warnval{$key};
+		} else {
+			$p .= ";";
+		}
+		if (defined($critval{$key})) {
+			$p .= ";" . $critval{$key};
+		} else {
+			$p .= ";";
+		}
+		$p .= ";0";
 	}
 
 	foreach $key (keys %critval) {
@@ -214,6 +232,8 @@
 	}
 
 	print $cause;
+	print "|";
+	print $p;
 
 	print "\n" if ($verbose);
 

